Subject: Re: bug#21277: 25.0.50; char-fold search is a screw, and I can't see how to disable

From: Juri Linkov <[email-masked]>
Date: Thu, 20 Aug 2015 01:08:44 +0300

> If char-fold really only affects ASCII and Unicode lookalikes, is it
> important enough to be worth mentioning in the echo area?  If not,
> let's delete it from the echo area.

One idea was to not display default parameters in the echo area.
So when e.g. char-fold search is t by default then it should not
be indicated in the echo area.

> Does anyone really want to disable it?

Like case-fold search, char-fold search could be disabled either by
customizing the corresponding variable, or interactively with ‘M-s '’.

> On the other hand, lax whitespace search by default is a drastic
> change.  That should be listed in the echo area, and its default
> should be nil.

AFAIK, a drastic change was not in lax whitespace search per se, but
only in its combination with char-fold search that we could fix now.